﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System.Drawing;

namespace WindowsFormsApplication541
{
    class DrawFilter:IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            Pen borderPen = new Pen(Color.Red);

            Rectangle elementRect = drawParams.Element.Rect;

            SolidBrush brush = new SolidBrush(Color.Red);
            drawParams.Graphics.FillPolygon(brush, new Point[] {new Point( elementRect.X + elementRect.Width-15, elementRect.Y),
                new Point(elementRect.X + elementRect.Width, elementRect.Y), new Point(elementRect.X + elementRect.Width, elementRect.Y+15) });

            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is EditorWithTextDisplayTextUIElement)
                return Infragistics.Win.DrawPhase.AfterDrawBorders;
            else return DrawPhase.None;           
        }
    }
}
